From: Lars Marowsky-Bree <lmb@suse.de>

Invoke generic scsi error decoder if no alternative handler was
specified.

This is safe as dm_scsi_err_handler() will only act on SCSI errors
with valid sense data.

Signed-off-by: Lars Marowsky-Bree <lmb@suse.de>
Signed-Off-By: Alasdair G Kergon <agk@redhat.com>
---

Index: linux-2.6.18-rc7/drivers/md/dm-mpath.c
===================================================================
--- linux-2.6.18-rc7.orig/drivers/md/dm-mpath.c	2006-10-13 17:10:34.000000000 +0100
+++ linux-2.6.18-rc7/drivers/md/dm-mpath.c	2006-10-13 17:10:36.000000000 +0100
@@ -1153,6 +1153,8 @@ static int do_end_io(struct multipath *m
 
 	if (hwh->type && hwh->type->error)
 		err_flags = hwh->type->error(hwh, bio);
+	else
+		err_flags = dm_scsi_err_handler(hwh, bio);
 
 	if (mpio->pgpath) {
 		if (err_flags & MP_FAIL_PATH)
